<?php

namespace Fastrack\Utilities;

use SilverStripe\Forms\GridField\GridField;
use SilverStripe\Forms\GridField\GridFieldConfig_RelationEditor;
use UndefinedOffset\SortableGridField\Forms\GridFieldSortableRows;

class Form
{

	public static function infoField(string $label, string $value): string
	{
		return join('', [
			'<div class="form-group field">',
				'<label class="form__field-label">',
					$label,
				'</label>',
				'<div class="form__field-holder">',
					$value,
				'</div>',
			'</div>',
		]);
	}

	/**
	 * @param int $rows
	 * @param string $columnName
	 * @return GridFieldConfig_RelationEditor
	 */
	public static function sortableGridConfig(int $rows = 20, string $columnName = 'SortOrder'): GridFieldConfig_RelationEditor
	{
		$reviewsConfig = GridFieldConfig_RelationEditor::create($rows);
		$reviewsConfig->addComponent(new GridFieldSortableRows($columnName));
		return $reviewsConfig;
	}

}
