<?php


namespace Fastrack\Utilities;


use Mailgun\Mailgun;
use SilverStripe\Control\Email\Mailer;
use SilverStripe\Core\Config\Configurable;
use SilverStripe\Core\Environment;
use SilverStripe\Control\Email;
use SilverStripe\Core\Injector\Injectable;

class MailgunMailer implements Mailer
{

	use Configurable;
	use Injectable;

	/**
	 * @param Email $message
	 * @return bool Whether the sending was "successful" or not
	 */
	public function send($message)
	{
		$domain = Environment::getEnv('MAILGUN_DOMAIN');
		$swiftMessage = $message->getSwiftMessage();
		$to = array_keys($swiftMessage->getTo());
		$mailgun = Mailgun::create(Environment::getEnv('MAILGUN_SECRET'));
		$mailgun->messages()->sendMime($domain, $to, $swiftMessage->toString(), []);
		return true;
	}

}
