<?php

namespace Fastrack\Utilities\Tasks;

use SilverStripe\CMS\Model\SiteTree;
use SilverStripe\Dev\BuildTask;
use SilverStripe\RedirectedURLs\Model\RedirectedURL;

class FindPagesForRedirects extends BuildTask
{

	public function run($request)
	{
		echo '<ul>';
		foreach (RedirectedURL::get() as $redirect) {
			if ($redirect->RedirectionType === "External") continue;
			if (!$redirect->To) continue;
			if ($redirect->LinkTo()->exists()) continue;
			$linkingPage = SiteTree::get_by_link($redirect->To);
			if (!$linkingPage) continue;
			$redirect->LinkToID = $linkingPage->ID;
			$redirect->To = null;
			$redirect->write();
			echo '<li>' . $redirect->FromBase . ' to ' . $linkingPage->Title . '</li>';
		}
		echo '</ul>';
	}
}
